Tryton - Issues

 

Issue8168

Title sao - Save button disabled when user error raised
Priority bug Status resolved
Superseder Nosy List pokoli, reviewbot, roundup-bot, xar
Type behavior Components sao
Assigned To pokoli Keywords review
Reviews 51631002
View: 51631002

Created on 2019-03-04.16:07:36 by xar, last changed by roundup-bot.

Messages
New changeset 8290b7b36a69 by Sergi Almacellas Abellana in branch '5.0':
Return rejected promise when creation fails
https://hg.tryton.org/sao/rev/8290b7b36a69

New changeset 35975ddc2b87 by Sergi Almacellas Abellana in branch '4.8':
Return rejected promise when creation fails
https://hg.tryton.org/sao/rev/35975ddc2b87
New changeset ba30925d2995 by Sergi Almacellas Abellana in branch 'default':
Return rejected promise when creation fails
https://hg.tryton.org/tryton-env/rev/ba30925d2995
New changeset cfc42be09a25 by Sergi Almacellas Abellana in branch 'default':
Return rejected promise when creation fails
https://hg.tryton.org/sao/rev/cfc42be09a25
review51631002 updated at https://codereview.tryton.org/51631002/#ps253451002
review51631002 updated at https://codereview.tryton.org/51631002/#ps261411002
review51631002 updated at https://codereview.tryton.org/51631002/#ps271191003
review51631002 updated at https://codereview.tryton.org/51631002/#ps259121002
review51631002 updated at https://codereview.tryton.org/51631002/#ps267061002
msg47438 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-03-06.11:47:07
Here is review51631002 that fixes it.
msg47433 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-03-05.19:50:21
This was introduced on issue7148
msg47379 (view) Author: [hidden] (xar) Date: 2019-03-04.16:07:36
-- How to reproduce --
- Open view Adminitration > User > User
- Create user with forbidden datas (e.g. login='admin' or password='x')
- After displaying the constraint violation or raise_user_error() messagebox, the save button is disabled and can only be active once the tab is opened again. 

This problem doesn't appears with gtk ckient.

Tested with Firefox 59 (linux), Chrome 72 (android)
History
Date User Action Args
2019-05-17 12:53:33roundup-botsetmessages: + msg49737
2019-05-01 21:59:07roundup-botsetmessages: + msg49540
2019-05-01 21:59:05roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg49539
2019-04-30 14:00:26reviewbotsetmessages: + msg49257
2019-04-30 12:07:37reviewbotsetmessages: + msg49253
2019-04-02 10:25:25reviewbotsetmessages: + msg48314
2019-03-15 17:41:16reviewbotsetmessages: + msg47648
2019-03-06 11:48:19reviewbotsetnosy: + reviewbot
messages: + msg47439
2019-03-06 11:47:07pokolisetstatus: chatting -> testing
reviews: 51631002
messages: + msg47438
keyword: + review
assignedto: pokoli
2019-03-05 19:50:21pokolisetstatus: unread -> chatting
nosy: + pokoli
messages: + msg47433

Showing 10 items. Show all history (warning: this could be VERY long)